package application.simulator.actions;

import java.awt.event.ActionEvent;

import javax.swing.AbstractAction;

import application.simulator.UISimulatorWindow;
import simulator.Simulator;

public class ShowUISimulatorAction extends AbstractAction {
	private Simulator simulator;

	public ShowUISimulatorAction(Simulator simulator) {
		super("Show UI Simulator");
		this.simulator = simulator;
	}

	@Override
	public void actionPerformed(ActionEvent e) {
		new UISimulatorWindow(simulator);
	}

}
